Ogre::D3D11Driver Class Reference

`#include <OgreD3D11Driver.h>`

List of all members.

## Public Member Functions

| D3D11Driver ()
| D3D11Driver (const D3D11Driver &ob)
| D3D11Driver (unsigned int adapterNumber, IDXGIAdapter1 *pDXGIAdapter)
| ~D3D11Driver ()
String | DriverName () const
String | DriverDescription () const
unsigned int | getAdapterNumber () const
const DXGI_ADAPTER_DESC1 & | getAdapterIdentifier () const
const DXGI_MODE_DESC & | getDesktopMode () const
IDXGIAdapter1 * | getDeviceAdapter () const
D3D11VideoModeList * | getVideoModeList ()

## Private Attributes

unsigned int | mAdapterNumber
DXGI_ADAPTER_DESC1 | mAdapterIdentifier
DXGI_MODE_DESC | mDesktopDisplayMode
D3D11VideoModeList * | mVideoModeList
unsigned int | tempNo
IDXGIAdapter1 * | mDXGIAdapter

## Static Private Attributes

static unsigned int | driverCount

## Detailed Description

Definition at line 39 of file OgreD3D11Driver.h.

## Constructor & Destructor Documentation

Ogre::D3D11Driver::D3D11Driver | ( |  | ) |

Ogre::D3D11Driver::D3D11Driver | ( | const D3D11Driver & | ob | ) |

Ogre::D3D11Driver::D3D11Driver | ( | unsigned int | adapterNumber,
|  | IDXGIAdapter1 * | pDXGIAdapter
| ) |  |

Ogre::D3D11Driver::~D3D11Driver | ( |  | ) |

## Member Function Documentation

String Ogre::D3D11Driver::DriverDescription | ( |  | ) | const

String Ogre::D3D11Driver::DriverName | ( |  | ) | const

const DXGI_ADAPTER_DESC1& Ogre::D3D11Driver::getAdapterIdentifier | ( |  | ) | const

unsigned int Ogre::D3D11Driver::getAdapterNumber | ( |  | ) | const

const DXGI_MODE_DESC& Ogre::D3D11Driver::getDesktopMode | ( |  | ) | const

IDXGIAdapter1* Ogre::D3D11Driver::getDeviceAdapter | ( |  | ) | const

D3D11VideoModeList* Ogre::D3D11Driver::getVideoModeList | ( |  | ) |

## Member Data Documentation

unsigned int Ogre::D3D11Driver::driverCount`[static, private]`

Definition at line 49 of file OgreD3D11Driver.h.

DXGI_ADAPTER_DESC1 Ogre::D3D11Driver::mAdapterIdentifier`[private]`

Definition at line 45 of file OgreD3D11Driver.h.

unsigned int Ogre::D3D11Driver::mAdapterNumber`[private]`

Definition at line 44 of file OgreD3D11Driver.h.

DXGI_MODE_DESC Ogre::D3D11Driver::mDesktopDisplayMode`[private]`

Definition at line 46 of file OgreD3D11Driver.h.

IDXGIAdapter1* Ogre::D3D11Driver::mDXGIAdapter`[private]`

Definition at line 50 of file OgreD3D11Driver.h.

D3D11VideoModeList* Ogre::D3D11Driver::mVideoModeList`[private]`

Definition at line 47 of file OgreD3D11Driver.h.

unsigned int Ogre::D3D11Driver::tempNo`[private]`

Definition at line 48 of file OgreD3D11Driver.h.

The documentation for this class was generated from the following file:

- OgreD3D11Driver.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:45